ar.h File Reference
PAYLOAD.

Structures used for ar(1) archives. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | arHeader_s
| ar(1) archive header. More...

## Macros

#define | AR_MAGIC "!<arch>\n"
#define | AR_MARKER "`\n"

## Typedefs

typedef struct arHeader_s * | arHeader

## Functions

int | arHeaderRead (void *_iosm, struct stat *st)
| Read ar(1) header. More...
int | arHeaderWrite (void *_iosm, struct stat *st)
| Write ar(1) header. More...
int | arTrailerWrite (void *_iosm)
| Write ar(1) trailer. More...

## Variables

int | _ar_debug

## Detailed Description

Structures used for ar(1) archives.

Definition in file ar.h.

## Macro Definition Documentation

#define AR_MAGIC "!<arch>\n"

Definition at line 14 of file ar.h.

Referenced by arHeaderRead(), and arHeaderWrite().

#define AR_MARKER "`\n"

Definition at line 15 of file ar.h.

Referenced by arHeaderRead(), and arHeaderWrite().

## Typedef Documentation

typedef struct arHeader_s* arHeader

Definition at line 11 of file ar.h.

## Function Documentation

int arHeaderRead | ( | void * | _iosm,
|  | struct stat * | st
| ) |  |

Read ar(1) header.

Return values

  _iosm | file path and stat info
  st |

Returns
  0 on success

Definition at line 92 of file ar.c.

References _ar_debug, _iosmNext, _IOSMRC, AR_MAGIC, AR_MARKER, arRead(), fdGetCpioPos(), arHeader_s::filesize, arHeader_s::gid, IOSM_POS, arHeader_s::marker, arHeader_s::mode, arHeader_s::mtime, arHeader_s::name, strntoul(), arHeader_s::uid, xisdigit(), and xstrdup().

Referenced by fsmSetup(), and iosmSetup().

int arHeaderWrite | ( | void * | _iosm,
|  | struct stat * | st
| ) |  |

Write ar(1) header.

Return values

  _iosm | file path and stat info

Parameters

  st |

Returns
  0 on success

Definition at line 235 of file ar.c.

References _ar_debug, _iosmNext, _IOSMRC, AR_MAGIC, AR_MARKER, arWrite(), fdGetCpioPos(), arHeader_s::filesize, arHeader_s::gid, IOSM_PAD, arHeader_s::marker, arHeader_s::mode, arHeader_s::mtime, arHeader_s::name, snprintf(), and arHeader_s::uid.

Referenced by fsmSetup(), and iosmSetup().

int arTrailerWrite | ( | void * | _iosm | ) |

Write ar(1) trailer.

Return values

  _iosm | file path and stat info

Returns
  0 on success

Definition at line 308 of file ar.c.

References _ar_debug, _iosmNext, _IOSMRC, arWrite(), and IOSM_PAD.

Referenced by fsmSetup(), and iosmSetup().

## Variable Documentation

int _ar_debug

Definition at line 23 of file ar.c.